Bug 181952 - menu.lst is being hacked via each distro's commerical
menu.lst is being hacked via each distro's commerical
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-17 16:58 EST by Darwin H. Webb
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 23:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darwin H. Webb 2006-02-17 16:58:35 EST
Description of problem:
menu.lst is changed by each disto and causes errors and confusion for other
disto boot ups.

Version-Release number of selected component (if applicable):
.95, .97

How reproducible:
Whenever

Steps to Reproduce:
1.
2.
3.
  
Actual results:
color changes, format changes, ESC key, timer, splash screens garbled, no boot
to non-default

Expected results:
a black and white lsit of my system installations with timer clicking down, the
"press ESC key' message during grub load at the bottom of screen as if it were
part of the boot up process and not the disto.

Additional info:
Comment 3 Peter Jones 2006-02-23 23:59:51 EST
Really, this could only be a problem if you're sharing /boot between more than
one distro or installation, and that will simply not *ever* work reliably. 
Don't do that.
Comment 4 Darwin H. Webb 2006-02-27 13:16:51 EST
The boot processes are not shared, but grub must share the menu at some point,
wheather it be all titles on one menu or chained. Just don't screw with the menu
as if your distro is the onnly one that owns the grub menu.

Darwin

Note You need to log in before you can comment on or make changes to this bug.